For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList routines
      • GETGet a routine
      • POSTCreate a routine
      • PATCHUpdate a routine
      • DELDelete a routine
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceRoutines

Delete a routine

DELETE
https://api.x.flatfile.com/v1/routines/:routineId
DELETE
/v1/routines/:routineId
$curl -X DELETE https://api.x.flatfile.com/v1/routines/us_rtn_YOUR_ID \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "success": true
4 }
5}
Deletes a routine
Was this page helpful?
Previous

List runbooks

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

routineIdstringRequired
Routine ID

Headers

X-Disable-Hooks"true"Required

Response

This endpoint returns an object.
dataobject

Errors

400
Bad Request Error
404
Not Found Error